Bug 10712 - [FR] Backports support
: [FR] Backports support
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/comfort)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-25 23:52 by
Modified: 2010-11-01 12:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-25 23:52:53
Неплохо бы добавить в comfort возможность автоматического создания и поддержки
бэкпортов в актуальном состоянии (обновления).
Для этого необходимо добавить поддержку работы с бранчами.

Как я это себе представляю:
- прежде всего определяем в конфиге, какие бранчи будем использовать для работы
с бэкпортами. Например:
M24_branch=M24
M30_branch=M30
и т.п.

Когда готов релиз для сизифа, дёргаем команду типа 
$ Sisyphus-backport M24
При этом делается чекаут в M24 и git-pull . master.
Всё отлично мёржится, но если бэкпорт и pull делается не первый раз, возникает
конфликт в спеке в районе version/release и %changelog.
В этих местах можно автоматичеки подставлять release согласно backports policy.

Если же производится "initial backport", вообще наверное лучше просто прогонять
спек через rpmbph из etersoft-build-utils для автоматической смены сборочных
зависимостей, раскрытия некоторых макросов (%__autoreconf -> autoreconf -fisv)
и пр.
------- Comment #1 From 2010-10-30 22:43:19 -------
wontfix?
------- Comment #2 From 2010-11-01 09:19:47 -------
Mikhail Yakshin давно не поддерживает пакеты, так что да.
------- Comment #3 From 2010-11-01 12:21:59 -------
Технически Mikhail Yakshin свои немногие оставшиеся пакеты поддерживает в силу
возможностей.

Конкретно этот - вероятно, ныне бессмысленно продолжать поддерживать. Была
сделана попытка удалить его вчера, но оказалось, что он зависит от еще одного
пакета - appliance-devel-alt, где он жестко прописан в Requires. Мейнтейнер
appliance-devel-alt уведомлен о желании удалить comfort - запрошено по
возможности удаление этого Requires.